import { BookingWidget } from "@/components/BookingWidget"
import { parseBookingWidgetSearchParams } from "@/utils/url"

import type { LangParams, NextSearchParams, PageArgs } from "@/types/params"

export default async function BookingWidgetPage(
  props: PageArgs<LangParams, NextSearchParams>
) {
  const searchParams = await props.searchParams

  const booking = parseBookingWidgetSearchParams(searchParams)

  return <BookingWidget booking={booking} />
}
